<script>
    import UserOverview from '../../../../Components/UserOverview.svelte';
    import NftCard from '../../../../Components/NftCard.svelte';

    /** @type {import('./$types').PageData} */
    export let data;
    let account_full = data.account_full;
    let user_nft_list = data.user_nft_list;
    let user_id_or_name = data.user_id_or_name;
</script>

<div class=" flex w-full h-full justify-center">
    <div class="flex w-full flex-col gap-2 p-5 mx-28 rounded-sm">
        <div class=" flex w-full h-full justify-center">
            <div class="flex w-full flex-col gap-2 p-5 mx-28">
                <UserOverview {account_full} />
                <!-- switches -->
                <div>
                    <div class="switch-tab-border ">
                        <div class="flex text-lg font-semibold">
                            <a href="/u/{user_id_or_name}">
                                <div
                                    class=" px-3 cursor-pointer py-[1px] border-l-2 rounded-l-md border-y-2 border-solid border-black"
                                >
                                    <h2>Details</h2>
                                </div></a
                            >
                            <a href="/u/{user_id_or_name}/issued">
                                <div
                                    class=" px-3 cursor-pointer py-[1px] border-2 border-solid border-black"
                                >
                                    <h2>Issued</h2>
                                </div>
                            </a>
                            <a href="/u/{user_id_or_name}/collected">
                                <div
                                    class="active px-3 cursor-pointer py-[1px] border-r-2 rounded-r-md border-y-2 border-l-0 border-solid border-black"
                                >
                                    <h2>Collected</h2>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>

                <!-- switch content -->
                <div class="px-7 py-3">
                    <div class="grid grid-cols-3 gap-6 text-lg font-medium ">
                        {#each user_nft_list.nft_list as nft}
                            <NftCard nft_assets={nft} />
                        {/each}
                    </div>
                </div>
            </div>
        </div>

        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
    </div>
</div>

<style>
    .switch-tab-border {
        display: flex;
        flex-direction: row;
    }
    .switch-tab-border::before,
    .switch-tab-border::after {
        content: '';
        flex: 1 1;
        border-bottom: 2px solid #000;
        margin: auto;
    }
    .active {
        background-color: gainsboro;
    }
</style>
